/*
==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--

Dia-Args

Copyright (C) 2018-2019, 2021-2024  Anonymous

There are several releases over multiple years,
they are listed as ranges, such as: "2018-2019".

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--
*/

//! # Merge option

/// # Merge option
///
/// This enum is used for mering _options_ between 2 instances of [`Args`][struct:Args].
///
/// [struct:Args]: struct.Args.html
#[derive(Debug, Eq, PartialEq, Hash)]
pub enum MergeOption {

    /// # Take all items from source, _overwriting_ target's
    TakeAll,

    /// # Take all items from source, _ignoring_ existing ones in target
    IgnoreExisting,

}
