/*
==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--

Dia-Args

Copyright (C) 2018-2019, 2021-2024  Anonymous

There are several releases over multiple years,
they are listed as ranges, such as: "2018-2019".

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--::--
*/

use dia_args::{Result, paths};

#[test]
fn paths() -> Result<()> {
    paths::verify_ne_file_name("123", None)?;
    paths::verify_ne_file_name("it's ok", None)?;

    paths::verify_ne_file_name("z".repeat(1024), None)?;
    paths::verify_ne_file_name("a".repeat(1025), None).unwrap_err();

    paths::verify_ne_file_name("  123   ", None).unwrap_err();
    paths::verify_ne_file_name("abc", Some(1)).unwrap_err();
    paths::verify_ne_file_name("/", None).unwrap_err();
    paths::verify_ne_file_name("\\", None).unwrap_err();
    paths::verify_ne_file_name("hello \n there", None).unwrap_err();
    paths::verify_ne_file_name("hi \t again", None).unwrap_err();

    Ok(())
}
